package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）枚举类
*
* @author zxfei
*/
public enum CertificationLevelsShowEnum {
    实名认证("实名认证", "实名认证"),
    单次面签("单次面签", "单次面签"),
    每次面签("每次面签", "每次面签");
    private String value;
    private String desc;

    CertificationLevelsShowEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static CertificationLevelsShowEnum getByValue(String value) {
        for (CertificationLevelsShowEnum certificationLevelsShowEnum : CertificationLevelsShowEnum.values()) {
            if (certificationLevelsShowEnum.getValue() == value) {
                return certificationLevelsShowEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (CertificationLevelsShowEnum item : CertificationLevelsShowEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}